Package ghidra.rmi.trace

# Class TraceRmi.RequestRemoveObject.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<TraceRmi.RequestRemoveObject.Builder>
com.google.protobuf.GeneratedMessage.Builder<TraceRmi.RequestRemoveObject.Builder>
ghidra.rmi.trace.TraceRmi.RequestRemoveObject.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `TraceRmi.RequestRemoveObjectOrBuilder`, `Cloneable`

Enclosing class:
  `TraceRmi.RequestRemoveObject`

public static final class TraceRmi.RequestRemoveObject.Builder extends com.google.protobuf.GeneratedMessage.Builder<TraceRmi.RequestRemoveObject.Builder> implements TraceRmi.RequestRemoveObjectOrBuilder
Protobuf type `ghidra.rmi.trace.RequestRemoveObject`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TraceRmi.RequestRemoveObject`
  `build()`
  `TraceRmi.RequestRemoveObject`
  `buildPartial()`
  `TraceRmi.RequestRemoveObject.Builder`
  `clear()`
  `TraceRmi.RequestRemoveObject.Builder`
  `clearObject()`
  `.ghidra.rmi.trace.ObjSpec object = 2;`
  `TraceRmi.RequestRemoveObject.Builder`
  `clearOid()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.RequestRemoveObject.Builder`
  `clearSpan()`
  `.ghidra.rmi.trace.Span span = 3;`
  `TraceRmi.RequestRemoveObject.Builder`
  `clearTree()`
  `bool tree = 4;`
  `TraceRmi.RequestRemoveObject`
  `getDefaultInstanceForType()`
  `static final com.google.protobuf.Descriptors.Descriptor`
  `getDescriptor()`
  `com.google.protobuf.Descriptors.Descriptor`
  `getDescriptorForType()`
  `TraceRmi.ObjSpec`
  `getObject()`
  `.ghidra.rmi.trace.ObjSpec object = 2;`
  `TraceRmi.ObjSpec.Builder`
  `getObjectBuilder()`
  `.ghidra.rmi.trace.ObjSpec object = 2;`
  `TraceRmi.ObjSpecOrBuilder`
  `getObjectOrBuilder()`
  `.ghidra.rmi.trace.ObjSpec object = 2;`
  `TraceRmi.DomObjId`
  `getOid()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.DomObjId.Builder`
  `getOidBuilder()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.DomObjIdOrBuilder`
  `getOidOrBuilder()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.Span`
  `getSpan()`
  `.ghidra.rmi.trace.Span span = 3;`
  `TraceRmi.Span.Builder`
  `getSpanBuilder()`
  `.ghidra.rmi.trace.Span span = 3;`
  `TraceRmi.SpanOrBuilder`
  `getSpanOrBuilder()`
  `.ghidra.rmi.trace.Span span = 3;`
  `boolean`
  `getTree()`
  `bool tree = 4;`
  `boolean`
  `hasObject()`
  `.ghidra.rmi.trace.ObjSpec object = 2;`
  `boolean`
  `hasOid()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `boolean`
  `hasSpan()`
  `.ghidra.rmi.trace.Span span = 3;`
  `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable`
  `internalGetFieldAccessorTable()`
  `final boolean`
  `isInitialized()`
  `TraceRmi.RequestRemoveObject.Builder`
  `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `TraceRmi.RequestRemoveObject.Builder`
  `mergeFrom(com.google.protobuf.Message other)`
  `TraceRmi.RequestRemoveObject.Builder`
  `mergeFrom(TraceRmi.RequestRemoveObject other)`
  `TraceRmi.RequestRemoveObject.Builder`
  `mergeObject(TraceRmi.ObjSpec value)`
  `.ghidra.rmi.trace.ObjSpec object = 2;`
  `TraceRmi.RequestRemoveObject.Builder`
  `mergeOid(TraceRmi.DomObjId value)`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.RequestRemoveObject.Builder`
  `mergeSpan(TraceRmi.Span value)`
  `.ghidra.rmi.trace.Span span = 3;`
  `TraceRmi.RequestRemoveObject.Builder`
  `setObject(TraceRmi.ObjSpec value)`
  `.ghidra.rmi.trace.ObjSpec object = 2;`
  `TraceRmi.RequestRemoveObject.Builder`
  `setObject(TraceRmi.ObjSpec.Builder builderForValue)`
  `.ghidra.rmi.trace.ObjSpec object = 2;`
  `TraceRmi.RequestRemoveObject.Builder`
  `setOid(TraceRmi.DomObjId value)`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.RequestRemoveObject.Builder`
  `setOid(TraceRmi.DomObjId.Builder builderForValue)`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.RequestRemoveObject.Builder`
  `setSpan(TraceRmi.Span value)`
  `.ghidra.rmi.trace.Span span = 3;`
  `TraceRmi.RequestRemoveObject.Builder`
  `setSpan(TraceRmi.Span.Builder builderForValue)`
  `.ghidra.rmi.trace.Span span = 3;`
  `TraceRmi.RequestRemoveObject.Builder`
  `setTree(boolean value)`
  `bool tree = 4;`

  ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

  `addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownFields, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

  ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

  `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

  ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

  `addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.protobuf.Message.Builder

  `mergeDelimitedFrom, mergeDelimitedFrom`

  ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

  `mergeFrom`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.RequestRemoveObject.Builder>`

  - ### clear

    public TraceRmi.RequestRemoveObject.Builder clear()
    Specified by:
      `clear` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `clear` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `clear` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.RequestRemoveObject.Builder>`

  - ### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
    Overrides:
      `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.RequestRemoveObject.Builder>`

  - ### getDefaultInstanceForType

    public TraceRmi.RequestRemoveObject getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

  - ### build

    public TraceRmi.RequestRemoveObject build()
    Specified by:
      `build` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `build` in interface `com.google.protobuf.MessageLite.Builder`

  - ### buildPartial

    public TraceRmi.RequestRemoveObject buildPartial()
    Specified by:
      `buildPartial` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

  - ### mergeFrom

    public TraceRmi.RequestRemoveObject.Builder mergeFrom(com.google.protobuf.Message other)
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<TraceRmi.RequestRemoveObject.Builder>`

  - ### mergeFrom

    public TraceRmi.RequestRemoveObject.Builder mergeFrom(TraceRmi.RequestRemoveObject other)

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.RequestRemoveObject.Builder>`

  - ### mergeFrom

    public TraceRmi.RequestRemoveObject.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<TraceRmi.RequestRemoveObject.Builder>`
    Throws:
      `IOException`

  - ### hasOid

    public boolean hasOid()
    `.ghidra.rmi.trace.DomObjId oid = 1;`
    Specified by:
      `hasOid` in interface `TraceRmi.RequestRemoveObjectOrBuilder`
    Returns:
      Whether the oid field is set.

  - ### getOid

    public TraceRmi.DomObjId getOid()
    `.ghidra.rmi.trace.DomObjId oid = 1;`
    Specified by:
      `getOid` in interface `TraceRmi.RequestRemoveObjectOrBuilder`
    Returns:
      The oid.

  - ### setOid

    public TraceRmi.RequestRemoveObject.Builder setOid(TraceRmi.DomObjId value)
    `.ghidra.rmi.trace.DomObjId oid = 1;`

  - ### setOid

    public TraceRmi.RequestRemoveObject.Builder setOid(TraceRmi.DomObjId.Builder builderForValue)
    `.ghidra.rmi.trace.DomObjId oid = 1;`

  - ### mergeOid

    public TraceRmi.RequestRemoveObject.Builder mergeOid(TraceRmi.DomObjId value)
    `.ghidra.rmi.trace.DomObjId oid = 1;`

  - ### clearOid

    public TraceRmi.RequestRemoveObject.Builder clearOid()
    `.ghidra.rmi.trace.DomObjId oid = 1;`

  - ### getOidBuilder

    public TraceRmi.DomObjId.Builder getOidBuilder()
    `.ghidra.rmi.trace.DomObjId oid = 1;`

  - ### getOidOrBuilder

    public TraceRmi.DomObjIdOrBuilder getOidOrBuilder()
    `.ghidra.rmi.trace.DomObjId oid = 1;`
    Specified by:
      `getOidOrBuilder` in interface `TraceRmi.RequestRemoveObjectOrBuilder`

  - ### hasObject

    public boolean hasObject()
    `.ghidra.rmi.trace.ObjSpec object = 2;`
    Specified by:
      `hasObject` in interface `TraceRmi.RequestRemoveObjectOrBuilder`
    Returns:
      Whether the object field is set.

  - ### getObject

    public TraceRmi.ObjSpec getObject()
    `.ghidra.rmi.trace.ObjSpec object = 2;`
    Specified by:
      `getObject` in interface `TraceRmi.RequestRemoveObjectOrBuilder`
    Returns:
      The object.

  - ### setObject

    public TraceRmi.RequestRemoveObject.Builder setObject(TraceRmi.ObjSpec value)
    `.ghidra.rmi.trace.ObjSpec object = 2;`

  - ### setObject

    public TraceRmi.RequestRemoveObject.Builder setObject(TraceRmi.ObjSpec.Builder builderForValue)
    `.ghidra.rmi.trace.ObjSpec object = 2;`

  - ### mergeObject

    public TraceRmi.RequestRemoveObject.Builder mergeObject(TraceRmi.ObjSpec value)
    `.ghidra.rmi.trace.ObjSpec object = 2;`

  - ### clearObject

    public TraceRmi.RequestRemoveObject.Builder clearObject()
    `.ghidra.rmi.trace.ObjSpec object = 2;`

  - ### getObjectBuilder

    public TraceRmi.ObjSpec.Builder getObjectBuilder()
    `.ghidra.rmi.trace.ObjSpec object = 2;`

  - ### getObjectOrBuilder

    public TraceRmi.ObjSpecOrBuilder getObjectOrBuilder()
    `.ghidra.rmi.trace.ObjSpec object = 2;`
    Specified by:
      `getObjectOrBuilder` in interface `TraceRmi.RequestRemoveObjectOrBuilder`

  - ### hasSpan

    public boolean hasSpan()
    `.ghidra.rmi.trace.Span span = 3;`
    Specified by:
      `hasSpan` in interface `TraceRmi.RequestRemoveObjectOrBuilder`
    Returns:
      Whether the span field is set.

  - ### getSpan

    public TraceRmi.Span getSpan()
    `.ghidra.rmi.trace.Span span = 3;`
    Specified by:
      `getSpan` in interface `TraceRmi.RequestRemoveObjectOrBuilder`
    Returns:
      The span.

  - ### setSpan

    public TraceRmi.RequestRemoveObject.Builder setSpan(TraceRmi.Span value)
    `.ghidra.rmi.trace.Span span = 3;`

  - ### setSpan

    public TraceRmi.RequestRemoveObject.Builder setSpan(TraceRmi.Span.Builder builderForValue)
    `.ghidra.rmi.trace.Span span = 3;`

  - ### mergeSpan

    public TraceRmi.RequestRemoveObject.Builder mergeSpan(TraceRmi.Span value)
    `.ghidra.rmi.trace.Span span = 3;`

  - ### clearSpan

    public TraceRmi.RequestRemoveObject.Builder clearSpan()
    `.ghidra.rmi.trace.Span span = 3;`

  - ### getSpanBuilder

    public TraceRmi.Span.Builder getSpanBuilder()
    `.ghidra.rmi.trace.Span span = 3;`

  - ### getSpanOrBuilder

    public TraceRmi.SpanOrBuilder getSpanOrBuilder()
    `.ghidra.rmi.trace.Span span = 3;`
    Specified by:
      `getSpanOrBuilder` in interface `TraceRmi.RequestRemoveObjectOrBuilder`

  - ### getTree

    public boolean getTree()
    `bool tree = 4;`
    Specified by:
      `getTree` in interface `TraceRmi.RequestRemoveObjectOrBuilder`
    Returns:
      The tree.

  - ### setTree

    public TraceRmi.RequestRemoveObject.Builder setTree(boolean value)
    `bool tree = 4;`
    Parameters:
      `value` - The tree to set.
    Returns:
      This builder for chaining.

  - ### clearTree

    public TraceRmi.RequestRemoveObject.Builder clearTree()
    `bool tree = 4;`
    Returns:
      This builder for chaining.